HOME | PRODUCTS | NEWS | REQUESTS | LINKS | SUPPORT | TRAINING | MEMBERS AREA | ABOUT US | CONTACT US
PSNI PSNI

Requirements

Stand Alone Systems
Operating SystemMicrosoft Windows Vista or Higher
CPU3.2 GHz or higher
DisplayXVGA 1024x768 minimum; 17” monitor or larger recommended
RAM4GB Minimum
Hard Drive Space500MB +50MB/yr per 1000 Students
PrinterInkjet or Laser
CD RomRequired
Sound CardRequired
InternetRequired
.NET Framework3.5 with SP 1
SQL ServerServer Portion comes with SQL 2008 Express R2
Compatible with existing SQL server versions 2008 - 2012
Not compatible with SQL 2014 and higher

Client Computer for Networks
Operating SystemMicrosoft Windows Vista or Higher
CPUPentium 3 800MHz minimum (P4 1.4GHz recommended)
DisplayXVGA 1024x768 minimum 17” monitor or larger recommended
RAM2GB Minimum
Hard Drive Space200MB
PrinterInkjet or Laser
CD RomRequired
Sound CardRequired
InternetRequired
.NET Framework3.5 with SP 1

Server Computer for Networks
Operating SystemMicrosoft Windows Server 2008 or Higher
CPU3.2 GHz or higher
DisplayVGA Minimum
RAM4 GB Minimum
Hard Drive Space500MB +50MB/yr per 1000 Students
CD ROMRequired
InternetRequired
.NET Framework3.5 with SP 1
Tape BackupHighly Recommended
SQL ServerServer Portion comes with SQL 2008 Express R2
Compatible with existing SQL server versions 2008 - 2012
Not compatible with SQL 2014 and higher
Requirements above based on 4000 students. Call for larger districts.
Server Portion cannot be installed on a Domain Controller.
SQL Server 2008R2 - 2012R2 required for districts with 20+ simultaneous users.
 
SNAP Health Portal and Medicaid Billing Link
Requires .NET Framework 4.6 which requires Windows 7 SP1 (or higher) or Windows Server 2008 SP2* (or higher).
*Windows Server 2008 R2 SP1 (x64)The .NET Framework is supported in the Server Core Role with SP1 or later, but isn't supported on Windows Server 2008 R2 for Itanium-Based Systems.
*Windows Server 2008 R2 SP2 (x64,x86)The .NET Framework is not supported in the Server Core Role.
 

Requirements for Hosting Services
Operating SystemWindows Vista or higher
Mac OS 10.5 and later
BrowserAny HTML5 Compatible Browser

Page last modified: January 25, 2015